TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class OverlapComparator

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class OverlapComparator

    java.lang.Object
      |
      +--OverlapComparator

All Implemented Interfaces:
  java.util.Comparator

public class OverlapComparator
extends java.lang.Object
implements java.util.Comparator

A class that implements the java.util.Comparator interface to compare two transitions regarding their overlapping. You can set two parameters RMax and RMin representing the minimal pourcentages of overlapping of respectively the the shorter and the longer transition.

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares its two arguments for ordering them.
`static OverlapComparator` | `getInstance()` Returns the unique instance of this class with default parameter values.
`static OverlapComparator` | `getInstance(double rmin, double rmax)` Returns the unique instance of this class and set the parameters.
`static double` | `getRMax()` Gets the RMax parameter.
`static double` | `getRMin()` Gets the RMin parameter.
`static void` | `setRMax(double rMax)` Sets the RMax parameter.
`static void` | `setRMin(double rMin)` Sets the RMin parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Method Detail

### setRMax

    public static void setRMax(double rMax)

  Sets the RMax parameter.

### setRMin

    public static void setRMin(double rMin)

  Sets the RMin parameter.

### getRMax

    public static double getRMax()

  Gets the RMax parameter.

### getRMin

    public static double getRMin()

  Gets the RMin parameter.

### getInstance

    public static OverlapComparator getInstance(double rmin,
                                                double rmax)

  Returns the unique instance of this class and set the parameters.

### getInstance

    public static OverlapComparator getInstance()

  Returns the unique instance of this class with default parameter values.

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)
                throws java.lang.ClassCastException

  Compares its two arguments for ordering them. Uses the overlapping parameter to check the equality.
  Specified by:
    `compare` in interface `java.util.Comparator`
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.
  Throws:
    `java.lang.ClassCastException` - Thrown if one of the arguments is not a transition instance.

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov